fn first_word(s: &String) -> &str {
    let bytes = s.as_bytes();

    for (i, &item) in bytes.iter().enumerate() {
        if item == b' ' {
            return &s[0..i];
        }
    }

    &s[..]
}

// ANCHOR: here
fn main() {
    let mut s = String::from("witaj świecie");

    let word = first_word(&s);

    s.clear(); // Błąd!

    println!("pierwsze słowo to: {}", word);
}
// ANCHOR_END: here
